Bug 213530 - [exp-run] update devel/qt5 to 5.6.2
Summary: [exp-run] update devel/qt5 to 5.6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: kde
URL: https://reviews.freebsd.org/D8228
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-16 10:18 UTC by groot
Modified: 2016-10-28 13:44 UTC (History)
3 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
Patch bsd.qt.mk and others (49.34 KB, patch)
2016-10-16 10:18 UTC, groot
no flags Details | Diff
Update bsd.qt.mk and others (v2) (49.14 KB, patch)
2016-10-18 21:19 UTC, groot
no flags Details | Diff
Update bsd.qt.mk and others (v3) (49.52 KB, patch)
2016-10-26 11:09 UTC, groot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description groot 2016-10-16 10:18:11 UTC
Created attachment 175814 [details]
Patch bsd.qt.mk and others

This patch updates Qt from 5.6.1 to 5.6.2. It is work from area51, the KDE-FreeBSD unofficial ports tree, mostly by tcberner@ and Marie Loise Nolden, massaged into shape in D8228.
Comment 1 Antoine Brodin freebsd_committer 2016-10-18 17:59:28 UTC
There is 1 new failure:

http://package23.nyi.freebsd.org/data/110amd64-default-PR213530/2016-10-18_05h36m55s/logs/errors/qt4-l10n-4.8.7.log

The rest looks fine.
Comment 2 groot 2016-10-18 21:19:26 UTC
Created attachment 175914 [details]
Update bsd.qt.mk and others (v2)

This patch addresses the exp-run failure. I accidentally included a totally unrelated 1-line change to the plist of a Qt 4 port; this change has been removed from this patch set. Also, two ports have been re-attributed at the request of the port creator.
Comment 3 groot 2016-10-19 09:25:28 UTC
tcberner@ points out that there are SSL issues in the build -- even if they don't cause build failures. That will need to be sorted out in a v3 of the patch.
Comment 4 Tobias C. Berner freebsd_committer 2016-10-19 09:48:35 UTC
Looking at the pkg build log for irc/quassel [1] the SSL-check seems to have failed already with 5.6.1 [and probably before]:
[...]
-- Performing Test HAVE_SSL
-- Performing Test HAVE_SSL - Failed
[...]

An easy fix to this is just to pass -DHAVE_SSL via cmake -- arch, gentoo, fedora, ... also do this.

So this can be fixed separately from the 5.6.2 update, I think.


[1] http://beefy4.nyi.freebsd.org/data/latest-per-pkg/quassel/0.12.4/head-amd64-default.log
Comment 5 groot 2016-10-24 19:54:30 UTC
Given tcberner@ comment:4 (SSL issues were pre-existing and are being dealt with in a different PR) and the minor change to the patch (removing the bone-headed change to an unrelated port) that I'd like to get this committed without another exp-run, if possible.
Comment 6 groot 2016-10-26 11:09:00 UTC
Created attachment 176181 [details]
Update bsd.qt.mk and others (v3)

Recent ports-cleanups have obsoleted v2 of this patch, so re-generate it.
Comment 7 commit-hook freebsd_committer 2016-10-28 13:43:36 UTC
A commit references this bug:

Author: tcberner
Date: Fri Oct 28 13:43:16 UTC 2016
New revision: 424842
URL: https://svnweb.freebsd.org/changeset/ports/424842

Log:
  Update Qt to 5.6.2 [1,2]

  Thanks to the upstream work of Marie Loise Nolden, we could get rid of a handful
  of patches, as they have been properly upstreamed. The rest of the work is just
  some minor plist changes.

  I would like to thank Loise <nolden@kde.org> for the upstream work, and Adriaan
  <groot@kde.org> for getting the update into shape.

  [1] http://blog.qt.io/blog/2016/10/12/qt-5-6-2-released/
  [2] http://wiki.qt.io/Qt_5.6.2_Change_Files

  PR: 213530
  Exp-run by: antoine
  Submitted by: Adriaan de Groot <groot@kde.org>
  Reviewed by: rakuco, mat, tcberner
  Approved by: rakuco (mentor)
  Differential Revision: https://reviews.freebsd.org/D8228

Changes:
  head/Mk/bsd.qt.mk
  head/devel/qmake5/Makefile
  head/devel/qmake5/files/patch-configure
  head/devel/qmake5/files/patch-mkspecs__common__freebsd.conf
  head/devel/qmake5/files/patch-mkspecs_freebsd-clang_qmake.conf
  head/devel/qmake5/files/patch-mkspecs_unsupported_freebsd-g++_qmake.conf
  head/devel/qmake5/pkg-plist
  head/devel/qt5/distinfo
  head/devel/qt5-core/Makefile
  head/devel/qt5-core/files/
  head/devel/qt5-qdoc/Makefile
  head/devel/qt5-qdoc/files/extrapatch-src_qdoc_qdocindexfiles.cpp
  head/devel/qt5-testlib/pkg-plist
  head/lang/qt5-qml/files/patch-git_9b1231ca
  head/misc/qt5-doc/Makefile
  head/misc/qt5-doc/distinfo
  head/misc/qt5-doc/pkg-plist
  head/misc/qt5-examples/Makefile
  head/misc/qt5-examples/pkg-plist
  head/misc/qt5-l10n/pkg-plist
  head/multimedia/qt5-multimedia/files/patch-git_1df147d5
  head/net/qt5-network/files/patch-src_network_socket_qnativesocketengine__unix.cpp
  head/net/qt5-network/pkg-plist
  head/www/webkit-qt5/Makefile
  head/www/webkit-qt5/distinfo
  head/x11-themes/qt5-style-plugins/Makefile
  head/x11-toolkits/qt5-gui/Makefile
  head/x11-toolkits/qt5-gui/files/
  head/x11-toolkits/qt5-gui/files/extrapatch-src_gui_painting_qcolor.cpp
Comment 8 Tobias C. Berner freebsd_committer 2016-10-28 13:44:49 UTC
Commited. Thanks.